/*
 * Class EV_GRID_COLUMN_ACTION_SEQUENCES
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_660 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_660 [] = {0xFF01,1551,659,0xFFFF};
static const EIF_TYPE_INDEX egt_2_660 [] = {0xFF01,659,0xFFFF};
static const EIF_TYPE_INDEX egt_3_660 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_660 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_660 [] = {0xFF01,659,0xFFFF};
static const EIF_TYPE_INDEX egt_6_660 [] = {0xFF01,659,0xFFFF};
static const EIF_TYPE_INDEX egt_7_660 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_660 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_660 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_660 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_660 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_660 [] = {0xFF01,659,0xFFFF};
static const EIF_TYPE_INDEX egt_13_660 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_14_660 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_15_660 [] = {0xFF01,273,0xFFFF};


static const struct desc_info desc_660[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_660), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_660), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_660), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_660), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_660), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_660), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_660), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_660), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_660), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_660), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_660), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_660), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0527 /*659*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_660), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16005, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16006, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16007, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_660), 16045, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_660), 16046, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_660), 16047, 0},
};
void Init660(void)
{
	IDSC(desc_660, 0, 659);
	IDSC(desc_660 + 1, 1, 659);
	IDSC(desc_660 + 32, 590, 659);
	IDSC(desc_660 + 35, 300, 659);
}


#ifdef __cplusplus
}
#endif
